From 5b22c42f1200b046f981664c1f0fa2c6ef98b3ca Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Sun, 4 Aug 2024 01:01:30 +0800
Subject: [PATCH 06/21] opengl_apple.c: fix for < 10.7

---
 src/detection/opengl/opengl_apple.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/src/detection/opengl/opengl_apple.c b/src/detection/opengl/opengl_apple.c
index 63751d6b..1d1944a5 100644
--- a/src/detection/opengl/opengl_apple.c
+++ b/src/detection/opengl/opengl_apple.c
@@ -1,4 +1,4 @@
-
+#include <AvailabilityMacros.h>
 #include "fastfetch.h"
 #include "opengl.h"
 
@@ -6,6 +6,11 @@
 #include <OpenGL/gl.h>
 #include <OpenGL/OpenGL.h> // This brings in CGL, not GL
 
+#if MAC_OS_X_VERSION_MIN_REQUIRED < 1070
+#define kCGLPFAOpenGLProfile 99
+#define kCGLOGLPVersion_3_2_Core 0x3200
+#endif
+
 void ffOpenGLHandleResult(FFOpenGLResult* result, __typeof__(&glGetString) ffglGetString);
 
 static const char* cglHandleContext(FFOpenGLResult* result, CGLContextObj context)
-- 
2.46.0

